Get Access Token
Use Access Tokens to access Calendly resources on behalf of an authenticated user.
To make a call to this endpoint:
-
Include
client_idas a body parameter. -
For the
authorization_codegrant, include thecode_verifierthat matches thecode_challengeyou sent to the authorization endpoint. -
If your app runs on a server, also pass
client_idandclient_secretwith the Basic HTTP Authorization header.
Note:
-
Access Tokens expire after 2 hours.
-
Refresh Tokens don’t expire until they are used.
-
Only 8 oauth tokens per user can be requested within a span of 1 minute
Authentication
AuthorizationBasic
Use client_id for username and client_secret for password.
Request
This endpoint expects an object.
Web Token Request with Authorization Code
The Authorization Code token request for web apps.
OR
Web Token Request with Refresh Token
The Refresh Token request for a token for web apps.
OR
Native Token Request with Code Verifier
OR
Native Token Request with Refresh Token
The Refresh Token request for a token for native apps.
Response
OK
token_type
The token type (currently this is always “Bearer”)
Allowed values:
access_token
The access token provided in the response
refresh_token
The refresh token provided in the response
created_at
The UNIX timestamp in seconds when the event was created
expires_in
The number of seconds until the access token expires
owner
A link to the resource that owns the token (currently, this is always a user)
organization
A link to the owner's current organization
scope
The scope of the access request
Errors
400
Bad Request Error
401
Unauthorized Error
429
Too Many Requests Error